#!/bin/bash
# fulltest.sh
# test many commands of dtv2sertrans
if [ "x$CMD" = "x" ]; then
  CMD=./dtv2sertrans
fi

# read
set -x
$CMD -r read 0x10000,0x8000 data1
$CMD -r read 0x10000-0x18000 data2
$CMD -r read r0x10000,0x8000 data3
$CMD -r read r0x10000-0x18000 data4
$CMD read test.prg

# write
$CMD -r write 0x10000 data1
$CMD -r write 0x10000 data2

# verify
$CMD -r verify 0x10000 data1
$CMD -r verify 0x10000 data2

# param
$CMD param load
$CMD param save
$CMD param set_byte 0 10
$CMD param set_word 0 10
$CMD param dump
$CMD param reset
$CMD param dump

# diagnose
$CMD diag testsuite
$CMD diag read_only_client  0x1000
$CMD diag read_only_client  0x1000 0xaa
$CMD diag write_only_client 0x1000
$CMD diag write_only_client 0x1000 0xaa
$CMD diag read_only_dtv   0x10000,0x8000
$CMD diag read_only_dtv   0x10000-0x18000
$CMD diag write_only_dtv  0x10000,0x8000
$CMD diag write_only_dtv  0x10000-0x18000 0xaa
$CMD diag verify_only_dtv 0x10000-0x18000 0xaa
$CMD diag verify_only_dtv 0x10000,0x8000  0xaa

# sleep
$CMD sleep 1

# reset
$CMD reset

